package demo.lemmatizer;

import generated.lemmatizer.CanonicalForm;
import generated.lemmatizer.InvalidQueryException;
import generated.lemmatizer.Language;
import generated.lemmatizer.LemmatizerService;
import generated.lemmatizer.LemmatizerServiceService;

import java.util.List;


public class Main {

	public static void main(String[] args) throws InvalidQueryException {
		LemmatizerServiceService serviceService = new LemmatizerServiceService();
		LemmatizerService service = serviceService.getLemmatizerServicePort();
		String query = "luat"; // "cartea";
		List<CanonicalForm> lemmas = service.lemmatize(query, Language.RO);
		System.out.printf("Forme bază pentru cuvântul \"%s\" (%d forme)\n", query, lemmas.size());
		for (CanonicalForm canonicalForm : lemmas) {
			System.out.printf("\t%s - %s\n", canonicalForm.getCanonicalForm(), canonicalForm.getPosCodeDescription());
		}
	}
}
